## debian-installer 20210731+deb11u8

=== debian/changelog ===
debian-installer (20210731+deb11u8) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-22.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 Apr 2023 01:12:51 +0200

## debian-installer 20210731+deb11u8+11.0trisquel12

=== build/Makefile ===
#!/usr/bin/make -f
#
# Trisquel Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Trisquel archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)
gzip = $(shell which pigz >/dev/null 2>&1 && echo "pigz -n -T" || echo "gzip -n")

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
endef

define clamp_mtimes
  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
endef

define normalise_permissions
  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
endef

# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
# On amd64, it can be increased by increasing this variable.  On i386,
# this is a hard limit due to constraints of 4 GiB VM space.
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
MFSROOT_LIMIT := 42m
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
# See Bug#783773 for derivation.
MFSROOT_LIMIT := 78m
endif

define mkfs.ufs1
  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
	# Ensure build results have reproducible mtimes
	@$(clamp_mtimes) $(BASE_DEST)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
	# We have just modified files
	$(clamp_mtimes) $(BASE_DEST)
	$(normalise_permissions) $(BASE_DEST)

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \

=== debian/changelog ===
debian-installer (20210731+deb11u8+11.0trisquel12) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 29 Apr 2023 12:41:46 +0000

debian-installer (20210731+deb11u8) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-22.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 Apr 2023 01:12:51 +0200

debian-installer (20210731+deb11u7) aramo; urgency=medium

  * Rebuild against linux 5.10.158-2.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Dec 2022 04:37:13 +0100

debian-installer (20210731+deb11u6) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-20.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 12 Dec 2022 20:03:06 +0100

debian-installer (20210731+deb11u5) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-18.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 06 Sep 2022 22:55:12 +0200

debian-installer (20210731+deb11u4) aramo; urgency=medium

  * Reinstate some armel netboot targets, as suggested by Martin
    Michlmayr (Closes: #934072) and tested by Rick Thomas (thanks!):
     - openrd-base
     - openrd-client
     - openrd-ultimate
  * Bump Linux kernel ABI to 5.10.0-16.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 05 Jul 2022 17:57:59 +0200

debian-installer (20210731+deb11u3) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-13.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 22 Mar 2022 18:37:47 +0100

debian-installer (20210731+deb11u2) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-10.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 13 Dec 2021 16:23:43 +0100

debian-installer (20210731+deb11u1) aramo; urgency=medium

  * Set USE_PROPOSED_UPDATES=1 for the aramo stable branch.
  * Update USE_UDEBS_FROM default from unstable to aramo, so that
    users don't have to know about the debian/rules heuristics when
    performing manual, local builds.
  * Bump Linux kernel ABI to 5.10.0-9.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 Oct 2021 10:07:27 +0200

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
Build-Depends:
	liblzma5, liblz4-1,
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	trisquel-keyring (>= 2006.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i partman-doc and internals manual is in DocBook XML 4.x.
	libbogl-dev,
#		For bdftobogl used in font reduction.
	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
#		The GCC support library is copied to the to the installation
#		image. This is a hack and needs to be replaced by a proper
#		udeb.
#
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [hurd-i386 i386 ia64 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	shim-unsigned [amd64 i386 arm64],
	grub-efi-amd64-bin [amd64],
	grub-efi-ia32 [i386],
	grub-efi-arm64 [arm64],
#	        Signed bootloader components for UEFI Secure Boot
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [hurd-i386 i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-arm-bin [armhf],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.07+dfsg-1) [armhf],
	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
#
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
#
	kmod [linux-any],
#		depmod.
#
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	trisquel-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [amd64 arm64 armhf i386],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for arm64 and armhf systems.
#		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
#		when creating ISO hybrid images on amd64 and i386 systems.
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours

Package: debian-installer
Architecture: amd64
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Trisquel Installer documentation
 This package currently only contains some documentation for the Trisquel
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION))
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=aramo
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=1
USE_UDEBS_FROM=unstable
USE_PROPOSED_UPDATES=0
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.dbk -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20210731+deb11u9

=== debian/changelog ===
debian-installer (20210731+deb11u9) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-26.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Oct 2023 13:06:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-DATE=$(shell echo $(VERSION))
+DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 
@@ -12,7 +12,8 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=aramo
+USE_UDEBS_FROM=bullseye
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif

## debian-installer 20210731+deb11u10

=== debian/changelog ===
debian-installer (20210731+deb11u10) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-28.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Feb 2024 12:50:23 +0100

## debian-installer 20210731+deb11u11

=== debian/changelog ===
debian-installer (20210731+deb11u11) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-30.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 Jun 2024 19:01:08 +0200

## debian-installer 20210731+deb11u12

=== debian/changelog ===
debian-installer (20210731+deb11u12) bullseye; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-32.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 27 Aug 2024 08:14:31 +0200

## debian-installer 20210731+deb11u12+11.0trisquel18

=== build/Makefile ===
--- 
+++ 
@@ -330,6 +330,7 @@
 	rm -rf $(TREE)
 	# Set up the basic files [u]dpkg needs.
 	mkdir -p $(DPKGDIR)/info
+	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
 	touch $(DPKGDIR)/status
 	# Create a tmp tree
 	mkdir -p $(TREE)/tmp
@@ -372,5 +373,3 @@
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
 		if [ -f "$$udeb" ]; then \
 			pkg=`basename $$udeb` ; \
-			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
-			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \

=== debian/changelog ===
debian-installer (20210731+deb11u12+11.0trisquel18) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 05 Dec 2024 02:13:26 +0000

debian-installer (20210731+deb11u12) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-32.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 27 Aug 2024 08:14:31 +0200

debian-installer (20210731+deb11u11) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-30.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 24 Jun 2024 19:01:08 +0200

debian-installer (20210731+deb11u10) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-28.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Feb 2024 12:50:23 +0100

debian-installer (20210731+deb11u9) aramo; urgency=medium

  * Bump Linux kernel ABI to 5.10.0-26.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 02 Oct 2023 13:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
 #		them.
 #		Lintian: Yes, we know it's essential. We prefer not to
 #		count on it remaining so.
+	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
 	genisoimage [!s390 !s390x],
 #		For making mini isos.
 	genromfs [sparc sparc64],
@@ -162,7 +163,7 @@
 #		Used to generate a font cache through fc-cache, for gtk flavours
 
 Package: debian-installer
-Architecture: amd64
+Architecture: any
 Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
 Description: Trisquel Installer documentation

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,7 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=bullseye
-USE_PROPOSED_UPDATES=1
+USE_UDEBS_FROM=aramo
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif

## debian-installer 20210731+devuan3

=== build/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 #
-# Trisquel Installer system makefile.
+# Debian Installer system makefile.
 # Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
 # Licensed under the terms of the GPL.
 #
 # This makefile builds a debian-installer system and bootable images from 
-# a collection of udebs which it downloads from a Trisquel archive. See
+# a collection of udebs which it downloads from a Debian archive. See
 # README for details.
 #
 #
@@ -330,7 +330,6 @@
 	rm -rf $(TREE)
 	# Set up the basic files [u]dpkg needs.
 	mkdir -p $(DPKGDIR)/info
-	ln -nsf . $(DPKGDIR)/info/$(shell dpkg --print-architecture)
 	touch $(DPKGDIR)/status
 	# Create a tmp tree
 	mkdir -p $(TREE)/tmp
@@ -373,3 +372,5 @@
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
 		if [ -f "$$udeb" ]; then \
 			pkg=`basename $$udeb` ; \
+			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
+			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \

=== debian/changelog ===
debian-installer (20210731+devuan3) chimaera; urgency=medium

  * Merge tag 20210731+deb11u12.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 11 May 2025 16:11:48 +0100

debian-installer (20210731+devuan2) chimaera; urgency=medium

  * Merge tag 20210731+deb11u8.
     - updates kernel ABI (Closes: #757)

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 08 May 2023 08:47:27 +0100

debian-installer (20210731+devuan1) unstable; urgency=medium

  * Merge debian/master 7bc6ee9f0058e3677b791884ef879119d16808a5 (tag
    debian/20210731 with followup fixes).

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 03 Aug 2021 11:17:48 +0100

debian-installer (20210606+devuan2) unstable; urgency=medium

  * Add chimaera deepsea branding.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 10 Jul 2021 17:31:28 +0100

debian-installer (20210606+devuan1) unstable; urgency=medium

  * Merge Debian 20210606
  * Configure for ceres.
  * Remove historical mismerge cruft.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 09 Jun 2021 14:45:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Cyril Brulebois <kibi@debian.org>
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
+Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
+Origin: Devuan
 Build-Depends:
-	liblzma5, liblz4-1,
 # Base build dependencies:
 	debhelper (>= 11),
 #		Of course.
@@ -17,7 +17,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	trisquel-keyring (>= 2006.11.22),
+	devuan-keyring (>= 2016.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -45,7 +45,6 @@
 #		them.
 #		Lintian: Yes, we know it's essential. We prefer not to
 #		count on it remaining so.
-	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
 	genisoimage [!s390 !s390x],
 #		For making mini isos.
 	genromfs [sparc sparc64],
@@ -96,10 +95,10 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-unsigned [amd64 i386 arm64],
-	grub-efi-amd64-bin [amd64],
-	grub-efi-ia32 [i386],
-	grub-efi-arm64 [arm64],
+	shim-signed [amd64 i386 arm64],
+	grub-efi-amd64-signed [amd64],
+	grub-efi-ia32-signed [i386],
+	grub-efi-arm64-signed [arm64],
 #	        Signed bootloader components for UEFI Secure Boot
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
@@ -143,6 +142,7 @@
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it. Also useful on other
 #		architectures if SSL_CERTS has been set locally.
+	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #		Alternative boot method for win32 platforms.
 	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
 #		Used to create an UFS1 filesystem from a directory tree.
@@ -150,7 +150,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	trisquel-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
+	devuan-keyring [sh4 sparc64],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -164,8 +164,7 @@
 
 Package: debian-installer
 Architecture: any
-Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Trisquel Installer documentation
- This package currently only contains some documentation for the Trisquel
- installer. We welcome suggestions about what else to put in it.
+Description: Devuan's debian installer
+ This package currently only contains some documentation for the Devuan version
+ of the debian installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=aramo
+USE_UDEBS_FROM=chimaera
+USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
@@ -28,7 +29,7 @@
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
-TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
+TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz
 
 export SOURCE_DATE_EPOCH

## debian-installer 20220917

=== build/Makefile ===
--- 
+++ 
@@ -178,7 +178,7 @@
 # A generic recursion rule
 .PHONY: all_%
 all_%:
-	@install -d $(STAMPS)
+	@install -p -d $(STAMPS)
 	$(call recurse,SUBARCH,subarch,$*)
 
 .PHONY: subarch_%
@@ -288,7 +288,7 @@
 # we provide a generic build rule.
 .PHONY: build_%
 build_%:
-	@install -d $(STAMPS)
+	@install -p -d $(STAMPS)
 	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))
 
 # The general build rule.

=== debian/changelog ===
debian-installer (20220917) bookworm-proposed-updates; urgency=medium

  * Revert “Minimal support for cross-building”:
      https://lists.debian.org/debian-release/2022/09/msg00509.html
  * Upload to testing-proposed-updates to avoid u-boot regressions in
    unstable (#1016963).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 17 Sep 2022 21:54:33 +0200

debian-installer (20220914) unstable; urgency=medium

  [ Samuel Thibault ]
  * Double the number of available inodes on the hurd initrd.
  * Start speech synthesis after 30s timeout.

  [ Youngtaek Yoon ]
  * Support multiple udeb components.

  [ Vagrant Cascadian ]
  * [armhf] Add support for Bananapi_M2_Ultra (Closes: #982913).
  * [armhf] Update MX53LOCO filename with newer u-boot.

  [ John Paul Adrian Glaubitz ]
  * ia64: Remove ide-core-modules and ide-modules from pkg-lists
  * m68k: Remove ide-core-modules and ide-modules from pkg-lists
  * powerpc: Add sata-modules to cdrom pkg-lists
  * ppc64: Add sata-modules to cdrom pkg-lists

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 5.19.0-1.
  * Install bookworm, using bookworm udebs.
  * Work around FTBFS on armel and mipsel, where libcrypto3-udeb depends
    on libatomic1: use libatomic1.so* from the host system (as that's done
    for libgcc_s.so*), instead of introducing libatomic1-udeb.
  * Update translation-status for the release.

  [ Sophie Brun ]
  * Harmonize UEFI (grub) and BIOS (syslinux) boot menus:
    - use same label for "dark theme menu"
    - use same inclusion rules for the "Install with speech synthesis" menu
  * Do not hardcode the name of the distribution in syslinux's menu.cfg

  [ Frédéric Bonnard ]
  * Minimal support for cross-building.

  [ Roland Clobus ]
  * build/Makefile:
     - use install -p to preserve timestamps.
  * build/daily-build:
     - use rsync -t to preserve timestamps.
     - export SOURCE_DATE_EPOCH, also setting it if needed.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 14 Sep 2022 15:44:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -17,7 +16,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -29,6 +28,8 @@
 	docbook-xml,
 	docbook-xsl,
 #		The d-i partman-doc and internals manual is in DocBook XML 4.x.
+	unifont-bin,
+#		For hex2bdf used in font building.
 	libbogl-dev,
 #		For bdftobogl used in font reduction.
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
@@ -108,7 +109,7 @@
 #		Used to make EFI bootable images
 	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
 #		IEEE1275 bootloader support.
-	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
+	u-boot-imx (>= 2021.04~rc4+dfsg-1) [armhf],
 	u-boot-omap (>= 2016.09~rc1) [armhf],
 	u-boot-sunxi (>= 2019.07+dfsg-1) [armhf],
 	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
@@ -135,7 +136,7 @@
 	kmod [linux-any],
 #		depmod.
 #
-	bf-utf-source [!s390 !s390x],
+	unifont [!s390 !s390x],
 #		Contains the unicode font we use. Not a udeb since we
 #		perform font reduction at build time.
 	openssl,
@@ -150,7 +151,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	devuan-keyring [sh4 sparc64],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -164,7 +165,8 @@
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=chimaera
+USE_UDEBS_FROM=bookworm
 USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
@@ -29,7 +29,7 @@
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
-TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz
+TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
 export SOURCE_DATE_EPOCH

## debian-installer 20230207

=== debian/changelog ===
debian-installer (20230207) unstable; urgency=medium

  [ Samuel Thibault ]
  * Revert the build-dependencies changes of "Add support for cross-building".
  * Build-depend on bogl-utils instead of libbogl-dev for getting bdftobogl.

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.1.0-3.
  * Update MIRROR example with a better value (http://deb.debian.org/debian).
  * Update translation-status for the release.

  [ Holger Wansing ]
  * Add ka.utf with needed characters for Georgian language, to fix broken
    rendering in text installer. Closes: #1017435

  [ Alper Nebi Yasak ]
  * [amd64, arm64] Build netboot images for ChromeOS devices
    - Make the disk images reproducible
    - Add the images to manifests
    - Refactor into a Makefile target

 -- Cyril Brulebois <kibi@debian.org>  Tue, 07 Feb 2023 14:59:08 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #		The d-i partman-doc and internals manual is in DocBook XML 4.x.
 	unifont-bin,
 #		For hex2bdf used in font building.
-	libbogl-dev,
+	bogl-utils,
 #		For bdftobogl used in font reduction.
 	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
 #		The GCC support library is copied to the to the installation
@@ -67,6 +67,8 @@
 #		For building firmware images for the D-Link DNS-32(0|3).
 	u-boot-tools [armel armhf arm64],
 #		For creating u-boot images
+	depthcharge-tools [amd64 arm64],
+#		For creating images for ChromeOS devices
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot

## debian-installer 20230217

=== debian/changelog ===
debian-installer (20230217) unstable; urgency=medium

  [ Steve McIntyre ]
  * Switch to using bookworm artwork for the splash screens (Emerald).

  [ Cyril Brulebois ]
  * Update translation-status for the release.
  * Fix build-depends-on-1-revision lintian warning for u-boot-imx and
    u-boot-sunxi.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2023 04:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -111,9 +111,9 @@
 #		Used to make EFI bootable images
 	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
 #		IEEE1275 bootloader support.
-	u-boot-imx (>= 2021.04~rc4+dfsg-1) [armhf],
+	u-boot-imx (>= 2021.04~rc4+dfsg-1~) [armhf],
 	u-boot-omap (>= 2016.09~rc1) [armhf],
-	u-boot-sunxi (>= 2019.07+dfsg-1) [armhf],
+	u-boot-sunxi (>= 2019.07+dfsg-1~) [armhf],
 	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
 	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
 	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],

## debian-installer 20230401

=== debian/changelog ===
debian-installer (20230401) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Bump Linux kernel ABI to 6.1.0-7.
  * Add pigz to Build-Depends.
  * Replace `gzip -n` with `pigz -nm` in various places (keeping other
    flags like -9, -v, -f):
     - build/Makefile
     - build/config/*.cfg (x86 and arm* only)
     - build/util/gen-hd-image
     - build/util/gen-tarball
  * Update translation-status for the release.

  [ Samuel Thibault ]
  * build/boot/x86/f2.txt: Update minimum disk size for installation.
  * build/pkg-lists/{cdrom/grub/gtk/arm64.cfg,netboot/gtk/arm64.cfg}: Enable
    sound modules and speakup on arm64 gtk images.
  * build/boot/x86/f[29].txt: Make documentation link more precise.
    Closes: #1033193.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 31 Mar 2023 23:11:45 +0200

## debian-installer 20230427

=== build/Makefile ===
--- 
+++ 
@@ -59,7 +59,6 @@
 # Add to PATH so dpkg will always work, and so local programs will be found.
 PATH := util:$(PATH):/usr/sbin:/sbin
 EATMYDATA = $(shell which eatmydata 2>/dev/null)
-gzip = $(shell which pigz >/dev/null 2>&1 && echo "pigz -n -T" || echo "gzip -n")
 
 # We don't want this to be run each time we re-enter.
 ifndef DEB_HOST_ARCH
@@ -167,6 +166,10 @@
 
 define e2fsck
   e2fsck -fy
+endef
+
+define gzip
+  pigz -nm
 endef
 
 # Define MKFS_JFFS2 in the config file for your target.
@@ -374,3 +377,4 @@
 			pkg=`basename $$udeb` ; \
 			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
 			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
+			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \

=== debian/changelog ===
debian-installer (20230427) unstable; urgency=medium

  * Update translation-status for the release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Apr 2023 16:51:19 +0200

=== debian/control ===
--- 
+++ 
@@ -58,6 +58,8 @@
 #		armhf uses it for building bootable SD card images
 	cpio (>= 2.11+dfsg-6),
 #		For creating (reproducible) initramfs images.
+	pigz,
+#		For compressing various files.
 	xz-utils,
 #		For compressing initramfs images.
 	devio [armeb armel],

## debian-installer 20230526

=== debian/changelog ===
debian-installer (20230526) unstable; urgency=medium

  [ Emanuele Rocca ]
  * build/config/x86.cfg: add /splash.png symlink to make GRUB load the
    splash screen when using netboot (Closes: #1036215).

  [ Cyril Brulebois ]
  * Update translation-status for the release.
  * Fix colors in GRUB submenus for x86 netboot (Closes: #1036771).
  * Add CHECK_MINIMAL_VERSION support, so that the release manager can
    combine speedy uploads and peace of mind.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 26 May 2023 09:08:23 +0200

debian-installer (20230515) unstable; urgency=medium

  * Bump Linux kernel ABI to 6.1.0-9.
  * Switch source format from 1.0 to 3.0 (native).
  * Update translation-status for the release.
  * Add temporary workaround for broken graphics when using the “bochs”
    graphics driver (default in QEMU, where it is known as “std”) or the
    “cirrus” one, under UEFI/Secure Boot (See: #1036019):
     - The previous upload seems to trigger a color depth mismatch between
       GRUB which defaults to 24 bpp in its bochs and cirrus video
       modules, and Linux (efifb, built-in) that reports 32 bpp.
     - This affects both the text installer and the graphical installer.
     - To avoid running into those issues, and until a better solution is
       determined, ship extra DRM modules for those graphics drivers:
       bochs.ko, cirrus.ko, plus their dependencies.
     - Limit the workaround to amd64, arm64, and i386 (where UEFI/Secure
       Boot are relevant), when drm.ko is detected in the build tree,
       copying files from the relevant linux-image package.
     - Add linux-image-6.1.0-9-amd64-{amd64,arm64,686,686-pae} to
       Build-Depends accordingly.
  * Many thanks to Ben Hutchings for the kernel-side insights!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 May 2023 03:33:27 +0000

## debian-installer 20230607

=== debian/changelog ===
debian-installer (20230607) unstable; urgency=medium

  * Release early, release often!

 -- Cyril Brulebois <kibi@debian.org>  Wed, 07 Jun 2023 03:01:56 +0200

=== debian/control ===
--- 
+++ 
@@ -166,6 +166,11 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
+	linux-image-6.1.0-9-amd64 [amd64],
+	linux-image-6.1.0-9-arm64 [arm64],
+	linux-image-6.1.0-9-686 [i386],
+	linux-image-6.1.0-9-686-pae [i386],
+#		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 
-ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
